EBImage Runtime Error;
1
0
Entering edit mode
@glazko-galina-1653
Last seen 7.7 years ago
Dear all, I installed EBImage, but when I load the library it says 'an application has made an attempt to load the C runtime library incorrectly'. I have both the recent ImageMagic (ImageMagick-6.5.1-Q16) and GTK+ (2.14.17) installed and here is the sessionInfo() #----------------------------------------------------------- > sessionInfo() R version 2.9.0 (2009-04-17) i386-pc-mingw32 locale: LC_COLLATE=English_United States.1252;LC_CTYPE=English_United States.1252;LC_MONETARY=English_United States.1252;LC_NUMERIC=C;LC_TIME=English_United States.1252 attached base packages: [1] stats graphics grDevices utils datasets methods base other attached packages: [1] EBImage_3.0.0 abind_1.1-0 loaded via a namespace (and not attached): [1] tools_2.9.0 #----------------------------------------------------------- Could someone help to correct the problem? thank you! best regards Galina [[alternative HTML version deleted]]
EBImage EBImage • 841 views
ADD COMMENT
0
Entering edit mode
Gregoire Pau ▴ 310
@gregoire-pau-3274
Last seen 7.7 years ago
Dear Galina, This issue is Windows specific. It is related to the new ImageMagick library which is now built with Visual C++ 2008 and requires external VC++ 2008 runtime components. These components are not present by default on some versions of Windows. The Microsoft VC++ 2008 Redistributable Package can be downloaded here: http://www.microsoft.com/downloads/details.aspx?FamilyID=9b2da534-3e03 -4391-8a4d-074b9f2bc1bf&displaylang=en Just install it and EBImage will work fine. The INSTALL documentation of EBImage will be updated asap. Hope this helps. Best regards, Greg --- Gregoire Pau EMBL Research Officer http://www.ebi.ac.uk/~gpau/ Glazko, Galina wrote: > Dear all, > > I installed EBImage, but when I load the library it says 'an application has made an attempt to load the C runtime library incorrectly'. I have both the recent ImageMagic (ImageMagick-6.5.1-Q16) and GTK+ (2.14.17) installed and here is the sessionInfo() > #----------------------------------------------------------- >> sessionInfo() > R version 2.9.0 (2009-04-17) > i386-pc-mingw32 > locale: > LC_COLLATE=English_United States.1252;LC_CTYPE=English_United States.1252;LC_MONETARY=English_United States.1252;LC_NUMERIC=C;LC_TIME=English_United States.1252 > attached base packages: > [1] stats graphics grDevices utils datasets methods base > other attached packages: > [1] EBImage_3.0.0 abind_1.1-0 > loaded via a namespace (and not attached): > [1] tools_2.9.0 > #----------------------------------------------------------- > Could someone help to correct the problem? > thank you! > best regards > Galina > > [[alternative HTML version deleted]] > > _______________________________________________ > Bioconductor mailing list > Bioconductor at stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: http://news.gmane.org/gmane.science.biology.informatics.conductor
ADD COMMENT
0
Entering edit mode
Hi Gregoire, Thank you very much! The installation solved my problem. Best regards Galina -----Original Message----- From: Gregoire Pau [mailto:gregoire.pau@embl.de] Sent: Thursday, April 30, 2009 1:53 AM To: Glazko, Galina Cc: bioconductor at stat.math.ethz.ch Subject: Re: [BioC] EBImage Runtime Error; Dear Galina, This issue is Windows specific. It is related to the new ImageMagick library which is now built with Visual C++ 2008 and requires external VC++ 2008 runtime components. These components are not present by default on some versions of Windows. The Microsoft VC++ 2008 Redistributable Package can be downloaded here: http://www.microsoft.com/downloads/details.aspx?FamilyID=9b2da534-3e03 -4 391-8a4d-074b9f2bc1bf&displaylang=en Just install it and EBImage will work fine. The INSTALL documentation of EBImage will be updated asap. Hope this helps. Best regards, Greg --- Gregoire Pau EMBL Research Officer http://www.ebi.ac.uk/~gpau/ Glazko, Galina wrote: > Dear all, > > I installed EBImage, but when I load the library it says 'an application has made an attempt to load the C runtime library incorrectly'. I have both the recent ImageMagic (ImageMagick-6.5.1-Q16) and GTK+ (2.14.17) installed and here is the sessionInfo() > #----------------------------------------------------------- >> sessionInfo() > R version 2.9.0 (2009-04-17) > i386-pc-mingw32 > locale: > LC_COLLATE=English_United States.1252;LC_CTYPE=English_United States.1252;LC_MONETARY=English_United States.1252;LC_NUMERIC=C;LC_TIME=English_United States.1252 > attached base packages: > [1] stats graphics grDevices utils datasets methods base > other attached packages: > [1] EBImage_3.0.0 abind_1.1-0 > loaded via a namespace (and not attached): > [1] tools_2.9.0 > #----------------------------------------------------------- > Could someone help to correct the problem? > thank you! > best regards > Galina > > [[alternative HTML version deleted]] > > _______________________________________________ > Bioconductor mailing list > Bioconductor at stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: http://news.gmane.org/gmane.science.biology.informatics.conductor
ADD REPLY

Login before adding your answer.

Traffic: 264 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6